mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ValueType

Developers who write compilers use the structure to enumerate the mandatory and optional arguments in an argument list. The structure is not generally useful for applications other than compilers.

The functionality in the structure is typically hidden in the syntax of a specific programming language. For example, in the C++ programming language you declare a variable-length argument list by specifying an ellipsis ("...") at the end of the argument list. The structure is useful primarily when a development language does not provide direct support for accessing variable-length parameters.

Represents a variable-length argument list; that is, the parameters of a function that takes a variable number of arguments.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The new object enumerates the argument list starting from the first optional argument.

  Initializes a new instance of the structure using the specified argument list.

  An argument list consisting of mandatory and optional arguments.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)

  The new object enumerates the argument list starting from the argument specified by , or the first mandatory argument if is null.

  Initializes a new instance of the structure using the specified argument list and a pointer to an item in the list.

  An argument list consisting of mandatory and optional arguments.
  A pointer to the argument in to access first, or the first mandatory argument in if is null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Conceptually, concludes the processing of a variable-length argument list. However, this method has no actual implementation; the method body is empty. You can use this method in your code as a marker to indicate where variable-length argument list processing logically ends.

  The method corresponds to the va_end method in the C standard library.

  Concludes processing of the variable-length argument list represented by this instance.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  This method is not supported, and always throws .

  This comparison is not supported. No value is returned.

  An object to be compared to this instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code of this object.

  A 32-bit signed integer hash code.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.TypedReference

  The iterator is automatically advanced to the next argument.

  Returns the next argument in a variable-length argument list.

  The next argument as a object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.TypedReference ``

  The iterator is automatically advanced to the next argument.

  Returns the next argument in a variable-length argument list that has a specified type.

  The next argument as a object.

  A runtime type handle that identifies the type of the argument to retrieve.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.RuntimeTypeHandle

  This method does not advance the iterator to the next argument.

  returns the type of the argument as specified in the calling function. For example, if an argument is type , but the calling function specifies the argument as type , reports the argument as type .

  Returns the type of the next argument.

  The type of the next argument.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  Returns the number of arguments remaining in the argument list.

  The number of remaining arguments.